gtkmm: Gtk::StackPage Class Reference

gtkmm 4.6.0

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::StackPage Class Reference

Holds properties of a Gtk::Stack page. More...

`#include <gtkmm/stackpage.h>`

Inheritance diagram for Gtk::StackPage:
[legend]

## Public Member Functions
| StackPage (StackPage&& src) noexcept
StackPage& | operator= (StackPage&& src) noexcept
| ~StackPage () noexcept override
GtkStackPage* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkStackPage* | gobj () const
| Provides access to the underlying C GObject. More...
GtkStackPage* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Widget* | get_child ()
| Returns the stack child to which self belongs. More...
const Widget* | get_child () const
| Returns the stack child to which self belongs. More...
bool | get_visible () const
| Returns whether page is visible in its `Gtk::Stack`. More...
void | set_visible (bool visible=true)
| Sets whether page is visible in its `Gtk::Stack`. More...
bool | get_needs_attention () const
| Returns whether the page is marked as “needs attention”. More...
void | set_needs_attention (bool setting=true)
| Sets whether the page is marked as “needs attention”. More...
bool | get_use_underline () const
| Gets whether underlines in the page title indicate mnemonics. More...
void | set_use_underline (bool setting=true)
| Sets whether underlines in the page title indicate mnemonics. More...
Glib::ustring | get_name () const
| Returns the name of the page. More...
void | set_name (const Glib::ustring& setting)
| Sets the name of the page. More...
Glib::ustring | get_title () const
| Gets the page title. More...
void | set_title (const Glib::ustring& setting)
| Sets the page title. More...
Glib::ustring | get_icon_name () const
| Returns the icon name of the page. More...
void | set_icon_name (const Glib::ustring& setting)
| Sets the icon name of the page. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_child () const
| The child that this page is for. More...
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the child page. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the child page. More...
Glib::PropertyProxy< Glib::ustring > | property_title ()
| The title of the child page. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| The title of the child page. More...
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
| The icon name of the child page. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| The icon name of the child page. More...
Glib::PropertyProxy< bool > | property_needs_attention ()
| Whether the page requires the user attention. More...
Glib::PropertyProxy_ReadOnly< bool > | property_needs_attention () const
| Whether the page requires the user attention. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether this page is visible. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether this page is visible. More...
Glib::PropertyProxy< bool > | property_use_underline ()
| If set, an underline in the title indicates a mnemonic. More...
Glib::PropertyProxy_ReadOnly< bool > | property_use_underline () const
| If set, an underline in the title indicates a mnemonic. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible&& src) noexcept
Accessible& | operator= (Accessible&& src) noexcept
| ~Accessible () noexcept override
GtkAccessible* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkAccessible* | gobj () const
| Provides access to the underlying C GObject. More...
Role | get_accessible_role () const
| Retrieves the `Gtk::Accessible::Role` for the given `Gtk::Accessible`. More...
void | update_state (State state, const Glib::ValueBase& value)
| Updates an accessible state. More...
void | update_property (Property property, const Glib::ValueBase& value)
| Updates an accessible property. More...
void | update_relation (Relation relation, const Glib::ValueBase& value)
| Updates an accessible relation. More...
void | reset_state (State state)
| Resets the accessible state to its default value. More...
void | reset_property (Property property)
| Resets the accessible property to its default value. More...
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value. More...
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given `Gtk::Accessible` implementation. More...
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given `Gtk::Accessible` implementation. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::StackPage > | wrap (GtkStackPage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW }
| The accessible role for a `Gtk::Accessible` implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED }
| The possible accessible states of a `Gtk::Accessible`. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT }
| The possible accessible properties of a `Gtk::Accessible`. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE }
| The possible accessible relations of a `Gtk::Accessible`. More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it. More...

## Detailed Description

Holds properties of a Gtk::Stack page.

Use Gtk::Stack::get_page() to get a pointer to an StackPage object.

See also
  Stack

Since gtkmm 3.96:

## Constructor & Destructor Documentation

## ◆ StackPage()

Gtk::StackPage::StackPage | ( | StackPage&& | src | ) |
| noexcept

## ◆ ~StackPage()

Gtk::StackPage::~StackPage | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_child() [1/2]

Widget* Gtk::StackPage::get_child | ( |  | ) |

Returns the stack child to which self belongs.

Returns
  The child to which self belongs.

## ◆ get_child() [2/2]

const Widget* Gtk::StackPage::get_child | ( |  | ) | const

Returns the stack child to which self belongs.

Returns
  The child to which self belongs.

## ◆ get_icon_name()

Glib::ustring Gtk::StackPage::get_icon_name | ( |  | ) | const

Returns the icon name of the page.

Returns
  The value of the property_icon_name() property.

## ◆ get_name()

Glib::ustring Gtk::StackPage::get_name | ( |  | ) | const

Returns the name of the page.

Returns
  The value of the property_name() property.

## ◆ get_needs_attention()

bool Gtk::StackPage::get_needs_attention | ( |  | ) | const

Returns whether the page is marked as “needs attention”.

Returns
  The value of the property_needs_attention() property.

## ◆ get_title()

Glib::ustring Gtk::StackPage::get_title | ( |  | ) | const

Gets the page title.

Returns
  The value of the property_title() property.

## ◆ get_type()

static GType Gtk::StackPage::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_use_underline()

bool Gtk::StackPage::get_use_underline | ( |  | ) | const

Gets whether underlines in the page title indicate mnemonics.

Returns
  The value of the property_use_underline() property.

## ◆ get_visible()

bool Gtk::StackPage::get_visible | ( |  | ) | const

Returns whether page is visible in its `Gtk::Stack`.

This is independent from the Gtk::Widget::property_visible() property of its widget.

Returns
  `true` if page is visible.

## ◆ gobj() [1/2]

GtkStackPage * Gtk::StackPage::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkStackPage * Gtk::StackPage::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkStackPage * Gtk::StackPage::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

StackPage& Gtk::StackPage::operator= | ( | StackPage&& | src | ) |
| noexcept

## ◆ property_child()

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::StackPage::property_child | ( |  | ) | const

The child that this page is for.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::StackPage::property_icon_name | ( |  | ) |

The icon name of the child page.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::StackPage::property_icon_name | ( |  | ) | const

The icon name of the child page.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::StackPage::property_name | ( |  | ) |

The name of the child page.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::StackPage::property_name | ( |  | ) | const

The name of the child page.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_needs_attention() [1/2]

Glib::PropertyProxy< bool > Gtk::StackPage::property_needs_attention | ( |  | ) |

Whether the page requires the user attention.

This is used by the Gtk::StackSwitcher to change the appearance of the corresponding button when a page needs attention and it is not the current one.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_needs_attention() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::StackPage::property_needs_attention | ( |  | ) | const

Whether the page requires the user attention.

This is used by the Gtk::StackSwitcher to change the appearance of the corresponding button when a page needs attention and it is not the current one.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_title() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::StackPage::property_title | ( |  | ) |

The title of the child page.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_title() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::StackPage::property_title | ( |  | ) | const

The title of the child page.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_use_underline() [1/2]

Glib::PropertyProxy< bool > Gtk::StackPage::property_use_underline | ( |  | ) |

If set, an underline in the title indicates a mnemonic.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_use_underline() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::StackPage::property_use_underline | ( |  | ) | const

If set, an underline in the title indicates a mnemonic.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_visible() [1/2]

Glib::PropertyProxy< bool > Gtk::StackPage::property_visible | ( |  | ) |

Whether this page is visible.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_visible() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::StackPage::property_visible | ( |  | ) | const

Whether this page is visible.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_icon_name()

void Gtk::StackPage::set_icon_name | ( | const Glib::ustring & | setting | ) |

Sets the icon name of the page.

Parameters

  setting | The new value to set.

## ◆ set_name()

void Gtk::StackPage::set_name | ( | const Glib::ustring & | setting | ) |

Sets the name of the page.

Parameters

  setting | The new value to set.

## ◆ set_needs_attention()

void Gtk::StackPage::set_needs_attention | ( | bool | setting = `true` | ) |

Sets whether the page is marked as “needs attention”.

Parameters

  setting | The new value to set.

## ◆ set_title()

void Gtk::StackPage::set_title | ( | const Glib::ustring & | setting | ) |

Sets the page title.

Parameters

  setting | The new value to set.

## ◆ set_use_underline()

void Gtk::StackPage::set_use_underline | ( | bool | setting = `true` | ) |

Sets whether underlines in the page title indicate mnemonics.

Parameters

  setting | The new value to set.

## ◆ set_visible()

void Gtk::StackPage::set_visible | ( | bool | visible = `true` | ) |

Sets whether page is visible in its `Gtk::Stack`.

Parameters

  visible | The new property value.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::StackPage > wrap | ( | GtkStackPage * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.